<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/lib_lenguaje.php");

$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total = 0;
	$responce->records = 0;
	echo json_encode($responce);
	exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
require_once("../includes/funciones_buscador.php");

$examp = $_REQUEST["q"]; //query number

$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
$id = $_REQUEST['id'];
if(!$sidx) $sidx =1;
if(!$sord) $sord ="asc";
if(!$limit) $limit =10;

// search options
// IMPORTANT NOTE!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// this type of constructing is not recommendet
// it is only for demonstration
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$wh = "";
$searchOn = Strip($_REQUEST['_search']);
if($searchOn=='true') {
	$searchstr = Strip($_REQUEST['filters']);
	//$wh= constructWhere($searchstr);
	$jsona = json_decode($searchstr,true);
	$wh =  " AND ".getStringForGroup($jsona);
}

		$start = $limit*$page - $limit; // do not put $limit*($page - 1)
		if ($start<0) $start = 0;
		$cmnomgrup=$sesion->getVar("configuracion.nombres_grupos");
		//$cons="SELECT COUNT(*) AS count FROM adm_administrativos WHERE 1=1 ".$wh;
		$SQL = "SELECT SQL_CALC_FOUND_ROWS  view_datos_grupos.cod_grupo,nom_grado,$cmnomgrup as nom_grupo, nom_jornada, nom_sede,(SELECT MAX(`num_evaluaciones`) FROM aca_asignaturasxgrupos WHERE aca_asignaturasxgrupos.cod_grupo = view_datos_grupos.cod_grupo ) AS mx_num_eval FROM aca_asignaturasxgrupos INNER JOIN view_datos_grupos ON (aca_asignaturasxgrupos.cod_grupo = view_datos_grupos.cod_grupo) WHERE 1=1 and finalizado=0 ".$wh." GROUP BY view_datos_grupos.cod_grupo ORDER BY nom_sede, $sidx $sord LIMIT $start , $limit ";
		
		$academia->instruccion($SQL,1);
			
		$count = $academia->totReg();
		
		
		if( $count >0 ) {
			$total_pages = ceil($count/$limit);
		} else {
			$total_pages = 0;
		}
		
        if ($page > $total_pages) $page=$total_pages;	
		
        //echo $SQL;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
		
        $i=0;
		$aux=0;
		while($row=$academia->extraer_registro()){
			$responce->rows[$i]['id']=$row[cod_grupo];
			$responce->rows[$i]['cell']=array($row["nom_sede"],$row["nom_grado"], $row["nom_grupo"],$row["nom_jornada"]);
			if($aux<$row["mx_num_eval"])
				$aux=$row["mx_num_eval"];
				
            $i++;
		}
		$responce->sql=$SQL;
		$responce->userdata->mx_numper=$aux;
		$academia->liberar();
		/*foreach($data as $row){
			$responce->rows[$i]['id']=$row[cod_grupo];
			$responce->rows[$i]['cell']=array($row[nom_grado], $row[nom_grupo],$row[nom_jornada],$row[nom_ape]);
            $i++;
		}*/
        echo json_encode($responce);
		
$academia->cerrar();

?>
